<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:variable name="GenScaleX" select="2000 div /Measurement/Signal/@XScale"/> 
 <xsl:template match="/">
      <svg width="21cm" height="13cm" viewBox="0 0 2100 1300" xmlns="http://www.w3.org/2000/svg">
       <title>Grafik</title>
       <rect x="0" y="0" width="2100" height="1200" fill="none" stroke="grey" stroke-width="1" />                 
       <line  x1="0" y1="600" x2="2100" y2="600" stroke-width="1" stroke="grey"/>               
       <line  x1="100" y1="1200" x2="100" y2="0" stroke-width="1" stroke="grey"/>                      
           <xsl:apply-templates select="Measurement/Signal"/>   
       </svg>
   </xsl:template>
   
   <xsl:template match="Signal">
       <xsl:variable name="ScaleY" select="1200 div @YScale"/>       
       <g xmlns="http://www.w3.org/2000/svg" transform="translate(100, 600) scale({$GenScaleX}, {$ScaleY})" stroke-width="{3*(@YScale div 1200)}" stroke="  #{substring-after(@Color,'0x')}">    
          <xsl:for-each select="Point" > 
            <xsl:if test="position() &lt; last()">
               <line x1="{@X}" y1="{-1*@Y}" x2="{following-sibling::Point[1]/@X}" y2="{-1*following-sibling::Point[1]/@Y}" />
           </xsl:if>
          </xsl:for-each>
       </g>      
     </xsl:template> 
</xsl:stylesheet>
